ossig.h File Reference

Utility class for trapping OS signals. More...

Go to the source code of this file.

## Classes

struct | SignalHandler< S, O >
| Signal handler for Linux and Unix compatibles. More...

## Typedefs

typedef void(* | SignalHandlerFn) (int)
| Signal handler function pointer. More...

## Functions

void | NullSignalHandler (int unused)
| Null signal handler function. More...

## Detailed Description

Utility class for trapping OS signals.

Since
  Crypto++ 5.6.5

Definition in file ossig.h.

## Typedef Documentation

## SignalHandlerFn

typedef void(* SignalHandlerFn) (int)

Signal handler function pointer.

SignalHandlerFn is provided as a stand alone function pointer with external "C" linkage

See also
  SignalHandler, NullSignalHandler

Definition at line 26 of file ossig.h.

## Function Documentation

## NullSignalHandler()

void NullSignalHandler | ( | int | unused | ) |

inline

Null signal handler function.

Parameters

  unused | the signal number

NullSignalHandler is provided as a stand alone function with external "C" linkage and not a static member function due to the member function's implicit external "C++" linkage.

See also
  SignalHandler, SignalHandlerFn

Definition at line 36 of file ossig.h.